Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Dengler <martin@martindengler.com>2009-08-24 12:19:56 (GMT)
committer Martin Dengler <martin@martindengler.com>2009-08-24 12:19:56 (GMT)
commitd4fd1e3c17474b71e7a9ce21efad0e295463416c (patch)
tree4549f138b42384968a00788e7b4392fd615651bc
parente813dfb576a6dc6439dac1facf2c2adc77a210dc (diff)
forgot announce script
-rwxr-xr-xannounce51
1 files changed, 51 insertions, 0 deletions
diff --git a/announce b/announce
new file mode 100755
index 0000000..022894e
--- /dev/null
+++ b/announce
@@ -0,0 +1,51 @@
+#!/bin/bash
+set -e
+
+recipients=martin@martindengler.com
+
+builddir=$1
+buildnamefile=$2
+buildname=$(<$buildnamefile)
+announcefile=$builddir/$buildname.announcement.txt
+
+nandsize=$(<$builddir/$buildname.img.size.txt)
+nandsizechange=$(<$builddir/$buildname.img.size-change.txt)
+
+treesize=$(<$builddir/$buildname.tree.size.txt)
+treesizechange=$(<$builddir/$buildname.tree.size-change.txt)
+
+cat > $announcefile <<EOF
+
+A new SoaS-on-XO-1 build $buildname is available.
+
+NAND size / change in size: $nandsizechange
+ext3 size / change in size: $treesizechange
+
+Package changes:
+
+$(<$builddir/$buildname.tree.package-changes.txt)
+
+Download from http://people.sugarlabs.org/~mtd/soas-xo1
+
+$(<BUGS.txt)
+
+Installation instructions: http://people.sugarlabs.org/~mtd/soas-xo1/README.txt
+
+Files:
+
+$buildname.iso - iso9990 file system (for use with livecd-iso-to-disk)
+$buildname.tree.tar.lzma - for hacking
+
+$buildname.img - for ...
+$buildname.crc - ... copy-nand'ing
+$buildname.plc - ... NANDblast'ing
+
+$buildname.removable.img.tar.lzma - for:
+ cat $buildname.removable.tar.lzma | lzma -dc - | tar xf - -O > /dev/sdX
+
+Build date: $(date)
+
+EOF
+
+mail -s "New SoaS-on-XO-1 build done: $buildname" $recipients < $announcefile
+